## org.eclipse.jetty.rewrite.handler
Class HeaderRule

    java.lang.Object
      org.eclipse.jetty.rewrite.handler.Rule
          org.eclipse.jetty.rewrite.handler.HeaderRule

Direct Known Subclasses:
  ForwardedSchemeHeaderRule

    public abstract class HeaderRule

extends Rule

Abstract rule that matches against request headers.

Field Summary

Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule
`_handling, _terminating`

Constructor Summary
`HeaderRule()`

Method Summary
`protected abstract String` `apply(String target, String value, HttpServletRequest request, HttpServletResponse response)` Apply the rule to the request
`String` `getHeader()`
`String` `getHeaderValue()`
`String` `matchAndApply(String target, HttpServletRequest request, HttpServletResponse response)` This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.
`void` `setHeader(String header)`
`void` `setHeaderValue(String headerValue)`
`String` `toString()` Returns the handling and terminating flag values.

Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderRule

    public HeaderRule()

Method Detail

### getHeader

    public String getHeader()

### setHeader

    public void setHeader(String header)

  Parameters:
    `header` - the header name to check for

### getHeaderValue

    public String getHeaderValue()

### setHeaderValue

    public void setHeaderValue(String headerValue)

  Parameters:
    `headerValue` - the header value to match against. If null, then the presence of the header is enough to match

### matchAndApply

    public String matchAndApply(String target,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws IOException

  Description copied from class: `Rule`
  This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.

  Specified by:
    `matchAndApply` in class `Rule`
  Parameters:
    `target` - The target of the request
  Returns:
    The new target if the rule has matched, else null
  Throws:
    `IOException` - TODO

### apply

    protected abstract String apply(String target,
                                    String value,
                                    HttpServletRequest request,
                                    HttpServletResponse response)
                             throws IOException

  Apply the rule to the request

  Parameters:
    `target` - field to attempt match
    `value` - header value found
    `request` - request object
    `response` - response object
  Returns:
    The target (possible updated)
  Throws:
    `IOException` - exceptions dealing with operating on request or response objects

### toString

    public String toString()

  Description copied from class: `Rule`
  Returns the handling and terminating flag values.

  Overrides:
    `toString` in class `Rule`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.